/* Default CSS for All Pages */
@charset "utf-8";

/* Fonts */
@font-face {
    font-family: 'Be Vietnam';
    font-style: normal;
    font-weight: 100;
    src: url('../fonts/Be_Vietnam/BeVietnam_100.ttf') format('truetype');
    font-display: block;
}

@font-face {
    font-family: 'Be Vietnam';
    font-style: normal;
    font-weight: 300;
    src: url('../fonts/Be_Vietnam/BeVietnam_300.ttf') format('truetype');
    font-display: block;
}

@font-face {
    font-family: 'Be Vietnam';
    font-style: normal;
    font-weight: 400;
    src: url('../fonts/Be_Vietnam/BeVietnam_400.ttf') format('truetype');
    font-display: block;
}

@font-face {
    font-family: 'Be Vietnam';
    font-style: normal;
    font-weight: 500;
    src: url('../fonts/Be_Vietnam/BeVietnam_500.ttf') format('truetype');
    font-display: block;
}

@font-face {
    font-family: 'Be Vietnam';
    font-style: normal;
    font-weight: 600;
    src: url('../fonts/Be_Vietnam/BeVietnam_600.ttf') format('truetype');
    font-display: block;
}

@font-face {
    font-family: 'Be Vietnam';
    font-style: normal;
    font-weight: 700;
    src: url('../fonts/Be_Vietnam/BeVietnam_700.ttf') format('truetype');
    font-display: block;
}

@font-face {
    font-family: 'Be Vietnam';
    font-style: normal;
    font-weight: 800;
    src: url('../fonts/Be_Vietnam/BeVietnam_800.ttf') format('truetype');
    font-display: block;
}

/* VARIABLE COLORS */
:root {
    --navy_blue: #262262;
    --light_blue: #E5F3F7;
    --baby_blue: #E8F8FF;
    --sky_blue: #27AAE1;
    --baby_blue: #E8F8FF;
    --coral_blue: #B4D6FF;
    --deep_blue: #1C1E21;
    --dark_blue: #16133E;
    --nato_blue: #4064A5;
    --havelock_blue: #53A9DC;
    --tropical_blue: #C7E4F4;
    --light_orange: #EFBA75;
    --apricot_orange: #F7941E;
    --orange: #FFAC5A;
    --papaya_orange: #E06301;
    --cloud_grey: #F1F2F2;
    --black: #231F20;
    --ash_grey: #BBBBBB;
    --oslo_grey: #899294;
    --steel_grey: #837E7E;
    --dark_grey: #433E3E;
    --cod_grey: #060606;
    --grey: #707070;
    --grey_purple: #6C727D;
    --magenta_pink: #C3518F;
    --bashful_pink: #B5508A;
    --white: #FFFFFF;
    --rose_white: #FFF6F5;
    --light_grey: #EFEFF0;
    --smoke_white: #F2F2F2;
    --light_smoke_white: #F5F5F5;
    --silver: #CCCCCC;
    --light_silver: #CED8DB;
    --lighter_grey: #D8D8D8;
    --bright_grey: #EAEAEA;
    --gainsboro: #DBDAD9;
    --navy_purple: #25225E;
    --dark_lilac: #281F66;
    --pacific_blue: #00A7E1;
    --pale_silver: #C3C3C3;
    --dusty_red: #C54A47;
    --bean_red: #FA6763;
    --light_lavender: #CECDF2;

    --navy_blue_hover: #161252;
    --light_blue_hover: #B7E0F1;
    --sky_blue_hover: #179AD1;
    --apricot_orange_hover: #E7840E;
    --cloud_grey_hover: #E1E2E2;
    --black_hover: #130F10;
    --steel_grey_hover: #736E6E;
    --dark_grey_hover: #332E2E;
    --white_hover: #EFEFEF;
    --black_shadow: rgba(0, 0, 0, 0.16);

    --sky_blue_shadow: #1B769D;
    --apricot_orange_shadow: #E57B41;
    --gray_shadow: rgba(0, 0, 0, 0.24);

    --color_english: #71C5EB;
    --color_maths: #FFAA4D;
    --color_science: #615E9B;
    --color_chinese: #C6579A;
    --color_more_subject: #486DB3;
}

/* Default Element Style */
html {
    height: 100%;
}
body {
    font-family: "Be Vietnam";
    margin: auto;
    height: 100%;
    font-weight: 500;
    -webkit-tap-highlight-color: transparent;
}
h1 {
    margin: 0;
    padding: 0;
    font-size:100%;
    font-weight:normal;
}
textarea {
    font-family: "Be Vietnam";
    resize: none;
}
input:focus, textarea:focus, select:focus{
    outline: none;
}
form {
    margin: 0;
}
a {
    text-decoration: none;
    color: var(--sky_blue);
}
img {
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    /* also disable the blinking effect for safari */
    -webkit-tap-highlight-color: transparent;
}
button {
    all: unset;
    cursor: pointer;
}
#body_container {
    display: flex;
    flex-direction: column;
    background-repeat: repeat;
    background-color: var(--light_blue);
    width: 100%;
    min-height: 100vh;
    margin: 0;
    color: var(--navy_blue);
    -webkit-transition: filter 0.3s ease;
    -moz-transition: filter 0.3s ease;
    -ms-transition: filter 0.3s ease;
    -o-transition: filter 0.3s ease;
    transition: filter 0.3s ease;
}
#header_container {
    z-index: 10;
    position: fixed;
    top: 0;
    left: 0;
    right: 0;
}
.ds { /*ds: disable selection */
    /* disable the text selection/highlighting */
    -webkit-touch-callout: none;
    -webkit-user-select: none;
    -khtml-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    /* also disable the blinking effect for safari */
    -webkit-tap-highlight-color: transparent;
}
.dev_panel {
    display: none;
}

/* custom button element */
.button {
    position: relative;
    cursor: pointer;
    user-select: none;
    overflow: hidden;
    background-color: var(--apricot_orange);
    color: var(--white);
    text-align: center;
    font-family: "Be Vietnam";
    font-weight: 700;
    font-size: 19px;
    width: 187px;
    height: 54px;
    line-height: 54px;
    border-radius: 8px;
    box-shadow: -2px 3px var(--apricot_orange_shadow);
    margin-left: 2px; /* adjust margin due to box shadow */
    transition: background-color 0.3s, box-shadow 0.3s, transform 0.3s;
}
.button_bg_hover {
    position: absolute;
    background-color: var(--sky_blue);
    width: 0;
    height: 0;
    border-radius: 50%;
    bottom: 0;
    left: 50%;
    pointer-events: none;
    transform: translateX(-50%);
    transition-property: width, height, bottom;
    transition-duration: 0.3s;
}
.button_content {
    position: relative;
    pointer-events: none;
    width: 100%;
}

/* button hover state */
.button:hover {
    box-shadow: -2px 3px var(--sky_blue_shadow);
    transform: scale(1.1);
}
.button:hover .button_bg_hover {
    width: 218px;
    height: 218px;
    bottom: -109px;
}

/* button onleave state */
.button:not(:hover) {
    box-shadow: -2px 3px var(--apricot_orange_shadow);
    transform: scale(1);
}
.button:not(:hover) .button_bg_hover {
    width: 0;
    height: 0;
    bottom: 0;
}

/* button onclick state */
.button:active {
    transition: none;
    box-shadow: none;
    background-color: var(--sky_blue);
    transform: translateX(-2px) translateY(3px);
}

body.wait *, body.wait {
    cursor: wait !important;
}

/*
    Markdown editor display
    These css used to apply styling in markdown editor content
 */
.markdown_editor_display {
    word-break: break-word;
}
.markdown_editor_display strong, .markdown_editor_display b {
    font-family: 'Be Vietnam';
    font-weight: normal;
}
/* table css */
.markdown_editor_display table {
    display: table;
    border-spacing: 0;
    max-width: 100% !important;
}
.markdown_editor_display table th {
	font-family: 'Be Vietnam';
    font-weight: 900;
    font-size: 18px;
    color: var(--white);
    background-color: var(--sky_blue);
}
.markdown_editor_display table td {
	font-family: 'Be Vietnam';
    font-size: 18px;
    background-color: var(--white);
    border-top: 0;
	text-align: center;
}
.markdown_editor_display table td, .markdown_editor_display table th {
    border: 1px solid var(--sky_blue);
    padding: 12px 24px;
}
.markdown_editor_display table th:first-of-type {
	border-top-left-radius: 20px;
}
.markdown_editor_display table th:last-of-type {
	border-top-right-radius: 20px;
}
.markdown_editor_display table tr:last-of-type td:first-of-type {
	border-bottom-left-radius: 20px;
}
.markdown_editor_display table tr:last-of-type td:last-of-type {
	border-bottom-right-radius: 20px;
}
/* end table css */
.markdown_editor_display img {
    max-width: 100% !important;
    height: auto !important;
}
.markdown_editor_display h1,
.markdown_editor_display h2,
.markdown_editor_display h3 {
    font-family: "Be Vietnam";
    font-weight: 900;
    font-size: revert;
    line-height: 58px;
}
.markdown_editor_display .table-wrapper {
    max-width: 100%;
    overflow-x: scroll;
}
/* End Markdown editor display */

/*
    CKEditor display
    These css used to apply styling in CKEditor content
 */
.ckeditor_display {
    word-break: break-word;
}
.ckeditor_display strong, .ckeditor_display b {
    font-family: 'Be Vietnam';
}
.ckeditor_display table {
    max-width: 100% !important;
    border-collapse: collapse;
    display: table;
}
.ckeditor_display table td{
    padding: 20px;
}
.ckeditor_display img {
    max-width: 100% !important;
    height: auto !important;
}
.ckeditor_display h1,
.ckeditor_display h2,
.ckeditor_display h3 {
    font-family: "Be Vietnam";
    font-weight: 700;
    font-size: revert;
}
.ckeditor_display h1 {
    line-height: 58px;
}
.ckeditor_display h2 {
    line-height: 42px;
}
.ckeditor_display h3 {
    line-height: 35px;
}
.ckeditor_display .table-wrapper {
    max-width: 100%;
    overflow-x: scroll;
}
 /* End CKEditor display */

/* hidden field to prevent bot spams */
input.nohuman {
    position: fixed;
    top: -100000px;
    left: -100000px;
    width: 1px;
    height: 1px;
    border: none;
    outline: none;
}

/* recaptcha */
.grecaptcha-badge {
    display: none;
}

#teachers_submit_btn.disable_button_submit {
    background-color: #B4B4B4;
    box-shadow: none;
    cursor: unset;
    pointer-events: none;
}
#button_submit_loading_animation_teachers {
    width: 45px;
    height: 100%;
    margin: auto;
}
.button_disable {
    display: none;
}

/* DESKTOP SCREEN SIZE */
@media only screen and (min-width: 768px) and (max-width: 1440px) {
    /* custom button element */
    .button {
        font-size: 1.302vw;
        width: 12.969vw;
        height: 3.750vw;
        line-height: 3.750vw;
        border-radius: 0.521vw;
        box-shadow: -0.156vw 0.208vw var(--apricot_orange_shadow);
        margin-left: 0.156vw; /* adjust margin due to box shadow */
    }

    /* button hover state */
    .button:hover {
        box-shadow: -0.156vw 0.208vw var(--sky_blue_shadow);
    }
    .button:hover .button_bg_hover {
        width: 15.104vw;
        height: 15.104vw;
        bottom: -7.552vw;
    }

    /* button onleave state */
    .button:not(:hover) {
        box-shadow: -0.156vw 0.208vw var(--apricot_orange_shadow);
    }

    /* button onclick state */
    .button:active {
        box-shadow: none;
        transform: translateX(-0.156vw) translateY(0.208vw);
    }

    /* Markdown editor display */
    .markdown_editor_display h1,
    .markdown_editor_display h2,
    .markdown_editor_display h3 {
        line-height: 4.028vw;
    }
	/* table css */
    .markdown_editor_display table th {
        font-size: 1.250vw;
    }
    .markdown_editor_display table td {
        font-size: 1.250vw;
    }
    .markdown_editor_display table td, .markdown_editor_display table th {
        border: 0.069vw solid var(--sky_blue);
        padding: 0.833vw 1.667vw;
    }
    .markdown_editor_display table th:first-of-type {
        border-top-left-radius: 1.389vw;
    }
    .markdown_editor_display table th:last-of-type {
        border-top-right-radius: 1.389vw;
    }
    .markdown_editor_display table tr:last-of-type td:first-of-type {
        border-bottom-left-radius: 1.389vw;
    }
    .markdown_editor_display table tr:last-of-type td:last-of-type {
        border-bottom-right-radius: 1.389vw;
    }
    /* end table css */
    /* End Markdown editor display */

    /* CKEditor display */
    .ckeditor_display h1 {
        line-height: 4.028vw;
    }
    .ckeditor_display h2 {
        line-height: 2.917vw;
    }
    .ckeditor_display h3 {
        line-height: 2.431vw;
    }
    .ckeditor_display table td {
        padding: 1.389vw;
    }
    /* CKEditor display */

    #button_submit_loading_animation_teachers {
        width: 3.125vw;
    }
}

/* MOBILE SCREEN SIZE */
@media only screen and (max-width: 768px) {
    /* custom button element */
    .button {
        font-size: 3.505vw;
        width: 36.682vw;
        height: 10.514vw;
        line-height: 10.514vw;
        border-radius: 2.570vw;
        box-shadow: -0.701vw 0.701vw var(--apricot_orange_shadow);
        margin-left: 0.701vw; /* adjust margin due to box shadow */
    }

    /* button hover state */
    .button:hover {
        box-shadow: -0.701vw 0.701vw var(--apricot_orange_shadow);
        transform: scale(1);
    }
    .button:hover .button_bg_hover {
        display: none;
    }

    /* button onleave state */
    .button:not(:hover) {
        box-shadow: -0.701vw 0.701vw var(--apricot_orange_shadow);
    }

    /* button onclick state */
    .button:active {
        box-shadow: none;
        transform: translateX(-0.701vw) translateY(0.701vw);
    }

    /* Markdown editor display */
    .markdown_editor_display h1,
    .markdown_editor_display h2,
    .markdown_editor_display h3 {
        line-height: 9.112vw;
    }
	/* table css */
	.markdown_editor_display table th {
        font-size: 3.738vw;
    }
    .markdown_editor_display table td {
        font-size: 3.738vw;
    }
    .markdown_editor_display table td, .markdown_editor_display table th {
        border: 0.234vw solid var(--sky_blue);
        padding: 2.103vw 3.738vw;
    }
    .markdown_editor_display table th:first-of-type {
        border-top-left-radius: 4.673vw;
    }
    .markdown_editor_display table th:last-of-type {
        border-top-right-radius: 4.673vw;
    }
    .markdown_editor_display table tr:last-of-type td:first-of-type {
        border-bottom-left-radius: 4.673vw;
    }
    .markdown_editor_display table tr:last-of-type td:last-of-type {
        border-bottom-right-radius: 4.673vw;
    }
    /* end table css */
    /* End Markdown editor display */

     /* CKEditor display */
    .ckeditor_display h1 {
        line-height: 9.112vw;
    }
    .ckeditor_display h2 {
        line-height: 8vw;
    }
    .ckeditor_display h3 {
        line-height: 6.3vw;
    }
    .ckeditor_display table td {
        padding: 2.336vw;
    }
    /* CKEditor display */

    #button_submit_loading_animation_teachers {
        width: 10.514vw;
    }
}